<?xml version="1.0"?>
<Script>
  <Name>CS_Container_XML Nachbearbeitungsskript</Name>
  <Caption>CS_Container_XML Nachbearbeitungsskript</Caption>
  <Version>0.0.1</Version>
  <ScriptEngine>User</ScriptEngine>
  <ScriptContext>ImportSettingScript</ScriptContext>
  <NeededScriptContextVersion>0.0.0</NeededScriptContextVersion>
  <ChangeDescriptions>Neues Skript, das durch den Anwender erstellt wurde.</ChangeDescriptions>
  <ScriptCode>xpo = XpoManager.Create();

function Main()
{
	if(!isNull(ImportOrder) &amp;&amp; !isNull(ImportWaypoints))
	{
		ImportOrder.OrderTypeImportText = null;
		ImportOrder.OrderTypeID = 0;
		
		if(ImportOrder.NCTS == true &amp;&amp; (isNull(ImportOrder.CustomsProcedure) || ImportOrder.CustomsProcedure != enum("CustomsProcedure.T1")))
		{
			ImportOrder.NCTS = false;
		}
	
		firstWaypoint = null;
		lastWaypoint = null;
		maxPosition = 1;
		foreach(importWaypoint in ImportWaypoints)
		{
			if(importWaypoint.Position == 1)
			{
				firstWaypoint = importWaypoint;
			}
			else if(importWaypoint.Position &gt; maxPosition)
			{
				maxPosition = importWaypoint.Position;
				lastWaypoint = importWaypoint;
			}
		}

		if(!isNull(firstWaypoint))
		{
			firstWaypoint.WaypointDetailTypeImportText = "Aufnahme";
		}
		
		if(!isNull(lastWaypoint))
		{
			lastWaypoint.WaypointDetailTypeImportText = "Rückgabe";
		}
		
		if (ImportWaypoints.Count == 2)
		{
			ImportOrder.ImportExport = ImportExport.REPOSITIONING;
		}
	}
}

Main();</ScriptCode>
</Script>